# Find a users udrive
Function Find-UDrive($User)
    {
        If ($user -eq $null){Return $null}
        $Match = (get-aduser $User).Name
        $UDrivePath = "\\ptfm-stm-san3v\U_Drives\76ARS,\\ptfm-stm-san3v\U_Drives\78ARS,\\ptfm-stm-san3v\U_Drives\514MSG,\\ptfm-stm-san3v\U_Drives\514MXG,\\ptfm-stm-san3v\U_Drives\514OG,\\ptfm-stm-san3v\U_Drives\514WG,\\ptfm-stm-san3v\U_Drives\714 AMXS,\\ptfm-stm-san3v\U_Drives\732AS"
        $UDrivePath = $UDrivePath.Split(",")
        $UDrive = @()
        ForEach ($P in $UDrivePath)
            {
                $UDrive += Get-ChildItem "$P"
            }
        $index = $UDrive.Name.IndexOf($Match)
        If ($index -eq -1) {$Result = $null} Else {$Result = ($UDrive[$index]).FullName}
        Return $Result
    }